#/usr/bin/env bash
set -e

# Search or ask for .env file
ENV_FILE=".env"
while [ ! -f "${ENV_FILE}" ]; do
  read -p "\"${ENV_FILE}\" file does not exist, please type your env file: " ENV_FILE
done

# Disable superuser config in environment variable, it's now in the database
sed -i "s/NETBOX_SUPERUSER_EMAIL=.*/NETBOX_SUPERUSER_EMAIL=/" "${ENV_FILE}"
sed -i "s/NETBOX_SUPERUSER_NAME=.*/NETBOX_SUPERUSER_NAME=/" "${ENV_FILE}"
sed -i "s/NETBOX_SUPERUSER_PASS=.*/NETBOX_SUPERUSER_PASS=/" "${ENV_FILE}"
sed -i "s/NETBOX_SKIP_SUPERUSER=/NETBOX_SKIP_SUPERUSER=true/" "${ENV_FILE}"
